Skip to content
Get started

Get one experience

GET/v3/experiences/{experience}

Get one experience

Path ParametersExpand Collapse
experience: string
ReturnsExpand Collapse
actions: optional array of object { fields, name, summary }
fields: optional map[object { max, required, type } ]

Fields you may send in params, keyed by the exact name to use.

max: optional number

Maximum length, for strings.

required: optional boolean
type: optional "string" or "cents" or "int"
One of the following:
"string"
"cents"
"int"
name: optional string
summary: optional string
display_name: optional string
experience: optional string

Get one experience

curl https://api.linqapp.com/api/partner/v3/experiences/$EXPERIENCE \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY"
{
  "actions": [
    {
      "fields": {
        "foo": {
          "max": 0,
          "required": true,
          "type": "string"
        }
      },
      "name": "attach_card",
      "summary": "Ask the customer to add a card to their wallet."
    }
  ],
  "display_name": "Agentcard",
  "experience": "agentcard"
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2004/"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2001/"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error",
    "doc_url": "https://docs.linqapp.com/error/codes/3xxx/3006/"
  },
  "success": false
}
Returns Examples
{
  "actions": [
    {
      "fields": {
        "foo": {
          "max": 0,
          "required": true,
          "type": "string"
        }
      },
      "name": "attach_card",
      "summary": "Ask the customer to add a card to their wallet."
    }
  ],
  "display_name": "Agentcard",
  "experience": "agentcard"
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2004/"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found",
    "doc_url": "https://docs.linqapp.com/error/codes/2xxx/2001/"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error",
    "doc_url": "https://docs.linqapp.com/error/codes/3xxx/3006/"
  },
  "success": false
}